#include <iostream>
#include <fstream>
#include <stdlib.h>

using namespace std;

struct Faculty
 {
     string name;
     int students;
 };

int main()
{
    ifstream input("..\\..\\Teaduskonnad.txt");
    if(not input.is_open())
    {
        cout<<"Faili ei saa avada!\n";
        return 0;
    }
    int ridu = 0;
    while(input.good())
    {
        string line;
        getline(input,line);
        ridu++;
        cout << line << endl;
    }
    input.close();

    Faculty f[ridu];
    int summa = 0;
    input.open("..\\..\\Teaduskonnad.txt");
    for( int k=0;k<ridu;k++)
    {
        string line;
        getline(input,line);
        int pos = line.find("\t");
        f[k].name = line.substr(0,pos);
        string t = line.substr(pos+1);
        f[k].students = atoi(t.c_str());
                                    // convert C++ string to C string
                            // atoi() - Ascii to integer
        summa += f[k].students;
    }
    input.close();

    cout<<"\nKokku tudengeid:  "<<summa<<endl;
    cout<<"Kokku teaduskondi:  "<<ridu<<endl;
    float average = (float)summa/ridu;
    cout<<"Keskmine tudengite arv teaduskonnas:  "<<average<<endl;

    cout<<"\nTudengite arvu poolest keskmisest suuremad teaduskonnad on:\n";
    for( int k=0;k<ridu;k++)
    {
         if(f[k].students>=average)
            cout<<"\t"<<f[k].name<<" ("
                   <<f[k].students/average
                   <<"  korda suurem keskmisest)\n";
    }
    cout<<"\nTudengite arvu poolest keskmisest viksemad teaduskonnad on:\n";
    for( int k=0;k<ridu;k++)
    {
         if(f[k].students<average)
            cout<<"\t"<<f[k].name<<" ("
                   <<average/f[k].students
                   <<"  korda viksem keskmisest)\n";
    }

    return 0;
}



